<%@ page contentType="text/html;charset=UTF-8" pageEncoding="UTF-8"%>
<%@ include file="../../include/global.jsp" %>
<%@ page import="com.rhhz.journal.web.action.ArticleBusinessController"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%
	pageContext.setAttribute("requestPath",ArticleBusinessController.BASE_PATH);
%>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
	<body>
		<h2 class="contentTitle" style="overflow:hidden;text-overflow:ellipsis;white-space:nowrap;">
		<c:choose>
			<c:when test="${article.language =='en'}">
				${article.titleEn}
			</c:when>
			<c:otherwise>
				${article.titleCn}
			</c:otherwise>
		</c:choose>
		</h2>
		<form action="<%=basePath%>${requestPath}setRecommendState" class="required-validate"
			method="post" enctype="multipart/form-data" onsubmit="return validateCallback(this,dialogAjaxDone)" >
			<div class="pageContent">
				<div class="pageFormContent" layoutH="100">
					<div id="recommendTypeId">
						<label>推荐分类：</label>
						<c:forEach items="${recommendTypeMap}" var="item" varStatus="s">
							<c:set var="keyL" value=",${item.key}" scope="request"/>
							<c:set var="keyR" value="${item.key}," scope="request"/>
							<c:set var="keyA" value=",${item.key}," scope="request"/>
							<input id="recommendType${item.key}" type="checkbox" value="" 
							<c:if test="${article.recommendType == fn:trim(item.key) || fn:startsWith(article.recommendType,keyR) || fn:endsWith(article.recommendType ,keyL) || fn:contains(article.recommendType,keyA)}">checked="checked"</c:if>
							 />
							<span style="margin-right: 20px;"> ${item.value }</span>    
						</c:forEach>
						<input type="hidden" name="recommendType" id="recommendType" value="${article.recommendType}">
						<input type="hidden" name="id" value="${article.id}"/>
						<input type="hidden" name="rel" value="${rel }">
					</div>
					<p style="width: auto;">
						<label style="width: auto;">展示页面(默认主语言)：</label>
						<input type="radio" name="language" value="all" <c:if test="${language == 'all'}">checked="checked"</c:if>><span style="margin-right: 20px;">中英文页面</span>
						<input type="radio" name="language" value="en"   <c:if test="${language == 'en'}">checked="checked"</c:if>><span style="margin-right: 20px;">英文页面</span>
						<input type="radio" name="language" value="zh"   <c:if test="${language == 'zh'}">checked="checked"</c:if>><span style="margin-right: 20px;">中文页面</span>
					</p>
				</div>
				<div class="formBar">
					<input type="checkbox" name="isAutoCreateHtml" value="y"><label>自动生成关联页面.</label>&nbsp;<span class="info" style="color: red;">生成会花费一定的时间！</span>
					<ul>
						<li>
							<div class="buttonActive">
								<div class="buttonContent">
									<button type="submit">
										保存
									</button>
								</div>
							</div>
						</li>
						<li>
							<div class="button">
								<div class="buttonContent">
									<button class="close" type="button">
										关闭
									</button>
								</div>
							</div>
						</li>
					</ul>
				</div>
			</div>
		</form>
		<script>
		
			$(function() {
			  $('#recommendTypeId').find('input[type=checkbox]').bind('click', function(){  
			        var result = '${recommendTypeMList}';
					var list =  JSON.parse(result);
					var recommendType = "";
			        for(var key in list){
			            var isChecked = $("#recommendType"+key).prop('checked');
			            if(isChecked){
				            if(recommendType == ""){
				            	recommendType = key;
				            }else{
				            	recommendType += ","+key;
				            }
			            }
			        }
		           	$("#recommendType").val(recommendType);
			    }); 
			});
			
			
		</script>
	</body>
</html>